# Changelog

## 2024-12-30 - 1.1.1 - fix(dependencies)
Added missing xmlbuilder2 dependency and relevant exports

- Added xmlbuilder2 to dependencies in package.json
- Export xmlbuilder2 functionality from smartxml.plugins.ts and ts/index.ts

## 2024-12-30 - 1.1.0 - feat(core)
Upgrade dependencies and enhance XML parsing and building

- Updated fast-xml-parser dependency to version ^4.5.1
- Enhanced XML parsing to preserve order and handle attributes
- Refactored createXmlFromObject method with a new XMLBuilder implementation
- Improved test coverage for XML string creation and parsing

## 2024-05-29 - 1.0.8 - Various Updates
Minor updates and improvements to configuration and documentation.

- Updated project description
- Modified `tsconfig` file
- Updated `npmextra.json`: githost

## 2023-10-20 - 1.0.6 to 1.0.8 - Core Fixes and Updates
Maintenance and core updates with improvements in project configuration.

- Core functionality fixes and updates
- Configuration updates
- Preparation for versioning to 1.0.8

## 2020-10-24 - 1.0.1 to 1.0.6 - Core Fixes
Multiple fixes and enhancements in core components.

- Series of core updates to improve stability and performance